import { _decorator, Label, Node, Sprite } from 'cc';
import { ResKeeper } from '../../../framework/res/ResKeeper';
const { ccclass, property } = _decorator;

export interface heroListItemData {
	race: number;
	heros: [];
	equips: {};
}

@ccclass('HeroListItem')
export class HeroListItem extends ResKeeper {
	@property({ type: Label, tooltip: "阵营文字" })
	raceName: Label = null;

	@property({ type: Sprite, tooltip: "阵营图标" })
	raceIco: Sprite = null;

	@property({ type: [Node], tooltip: "装备" })
	equips: Node[] = [];

	@property({ type: Label, tooltip: "羁绊总星级" })
	fetterStarNum: Label = null;

	@property({ type: Label, tooltip: "羁绊按钮文字" })
	fetterBtnTx: Label = null;

	@property({ type: Node, tooltip: "英雄容器" })
	herosNode: Node = null;

	@property({ type: Node, tooltip: "英雄例子" })
	heroModel: Node = null;

	protected onLoad() {
		this.heroModel.active = false;
	}

	protected onDestroy() {
		//如果该组件有事件自行取消注释
		//Framework.event.removeEvent(this);
		super.onDestroy();
	}

	//如果使用了池中的节点,在该函数内归还,该函数会在onDestroy前调用
	onClose() {

	}

	//UI事件处理
	private onTouchButton(event: Event) {
		//Framework.audio.playEffect(AudioID.Click);
		let target: any = event.target;
	}

	refreshItem(data: heroListItemData) {

	}
}